import React, { Component } from 'react';
import { createAppContainer } from 'react-navigation';
import { createStackNavigator } from 'react-navigation-stack';
import PI from './PI';
import Success from './src/common/Success';
import WithOutQuote from './src/common/WithOutQuote';
import DocumentCollection from './src/common/DocumentCollection'
import QuoteInstructions from './src/common/QuoteInstructions'
import Camera from './src/common/Camera'
import PreviewImage from './src/common/PreviewImage'
import VideoRecorder from './src/common/VideoRecorder'
import VideoPreview from './src/common/VideoPreview'
import DocumentUpload from './src/common/DocumentUpload'
import PropTypes from 'prop-types';
import { Provider } from 'react-redux';
import store from './src/redux/store';




//AppNAvigator

const AppNavigator = createStackNavigator({
    Success: { screen: Success, navigationOptions: { header: null } },
    WithOutQuote: { screen: WithOutQuote, navigationOptions: { header: null } },
    DocumentCollection: { screen: DocumentCollection, navigationOptions: { header: null } },
    QuoteInstructions: { screen: QuoteInstructions, navigationOptions: { header: null } },
    PI: { screen: PI, navigationOptions: { header: null } },
    Camera: { screen: Camera, navigationOptions: { header: null } },
    PreviewImage: { screen: PreviewImage, navigationOptions: { header: null } },
    VideoRecorder: { screen: VideoRecorder, navigationOptions: { header: null } },
    VideoPreview: { screen: VideoPreview, navigationOptions: { header: null } },
    DocumentUpload: { screen: DocumentUpload, navigationOptions: { header: null } },




},
    {
        // initialRouteName: "Wallet" //To Render From Here
        initialRouteName: "PI" //To Render From Here


    }

);


const AppContainer = createAppContainer(AppNavigator);

class App extends Component {
    render() {
        console.log(this.props.activityId)
        return (
            <Provider store={store}>
                <AppContainer
                    screenProps={{
                        activityId: this.props.activityId,
                        activityTypeId: this.props.activityTypeId,
                    }}
                >

                </AppContainer>
            </Provider>

        )
    }

}
App.propTypes = {
    activityId: PropTypes.object,
    activityTypeId: PropTypes.object,
};

App.defaultProps = {
    activityId: '',
    activityTypeId: '',

};

export default App;