/* eslint-disable prettier/prettier */
import React, { useState, useEffect } from 'react';
import {
  StyleSheet,
  Text,
  View,
  TouchableOpacity,
  // TouchableNativeFeedback,
  Image,
  StatusBar,
  Button,
  Alert,
  Linking,
} from 'react-native';
import { TouchableHighlight } from 'react-native-gesture-handler';
import { withNavigation } from '@react-navigation/compat';
import { SCREEN_HEIGHT, SCREEN_WIDTH } from '../common/Constants'
import Icon from 'react-native-vector-icons/FontAwesome5';
import { PrimaryButton} from '../common/ThemedComponents';

const Header = ({
  homeScreen = true,
  leftActionPress,
  rightActionPress,
  searchBarVisible,
  rightAction,
  progress = 0.5,
  navigation,
  titleValue = null,
  goBackHome,
  hasTitle,
  type,
  hideTranslationToggle,
  logoPress = () => {},
  homeNavigation = false,
  currentStep,
  totalSteps,
  onbackPress
}) => {
    const [index, setIndex] = useState("");

  useEffect(() => {
  }, []);
  const navigateToHome = () => {
    navigation.dispatch(
      CommonActions.reset({
        index: 1,
        routes: [
          {
            name: 'BottomNavigation',
            state: {
              routes: [{ name: 'Home' }],
            },
          },
        ],
      }),
    );
  };

  //Go back
  const goback=()=>{
// setIndex(currentStep-1)
onbackPress()
  }
  //START
  return (
    <View style={styles.main}>
        <View style={styles.HeaderView}>
            {/* Left Action */}
<View style={styles.leftActionView}>
   <TouchableOpacity onPress={()=>{goback()}}>
                      <Icon name="arrow-left" size={30} color="black" style={{alignSelf:"center"}} />
                    </TouchableOpacity>
</View>

{/* App Icon */}
<View style={styles.appNameView}>
    <View style={styles.appNamesubView}>
<Text style={styles.appNameText}>{"PI Inspection"}</Text>
<Text style={styles.stepText}>{"STEP "}{currentStep+1 +"/"+totalSteps}</Text>
    </View>

</View>

{/* Lang Toggle */}
<View style={styles.langToggleView}>

</View>
        </View>
    </View>
  );
};

export default withNavigation(Header);

const styles = StyleSheet.create({
    main:{
        backgroundColor:"#FFFFFF"
    },
  HeaderView: {
    height: 70,
    marginRight:16,
    marginLeft:16,
    marginTop:16,
    flexDirection:"row"
 },
  leftActionView:{
      flex:0.1,
   justifyContent:"center"
  },
    appNameView:{
      flex:0.6,
      justifyContent:"center"
  },
    langToggleView:{
      flex:0.3,
  },
  appNameText:{
      fontFamily:"Muli-Black",
      fontSize:20,
  },
    appNamesubView:{
      fontFamily:"Muli-Black",
      fontSize:20,
      marginLeft:16
  },
    stepText:{
      fontFamily:"Muli-Bold",
      fontSize:12,
      color:"#999999"
  }
});
