import React, { useState, useEffect } from 'react';
import { ScrollView, StyleSheet, Text, View ,Image} from "react-native";
import { SCREEN_WIDTH } from "../common/Constants";

const VechicleSurveyInstruction = ({
  title,
  subTitle,
  points,
  image
})=>{
     const [logoutModelVisible, setLogoutModelVisible] = useState(false);
  useEffect(() => {
  }, []);

  return(
    <ScrollView>
           <View style={styles.main}>
        <View style={styles.vechicleImageView}>
<Image
source={{uri: image}}
style={{width:SCREEN_WIDTH,height:SCREEN_WIDTH/2,alignSelf:"center"}}
/>
        </View>
        {/* Title View */}
       <View style={styles.titleView}>
         <Text style={styles.titleStyle}>{title}</Text>
       </View>
         {/* subTitle View */}
       <View style={styles.subTitleView}>
                  <Text style={styles.subTitleText}>{subTitle}</Text>

       </View>
          {/* points View */}
       <View style={styles.pointsView}>
         {
           points.map(item=>{
             return(
               <Text style={styles.pointsText}>{"\u2022 "}{item.instructionData}</Text>
             )
           })

         }
       </View>
      </View>
      </ScrollView>
  )
}
 const styles = StyleSheet.create({
  main:{
        backgroundColor:"#FFFFFF",
        flex:1,
     marginRight:24,
     marginLeft:24
    },
    vechicleImageView:{
      width:SCREEN_WIDTH-48,
      height:(SCREEN_WIDTH-48)/2,
      justifyContent:"center"
    },
    titleStyle:{
fontSize:20,
fontFamily:"Muli-Black",

    },
    pointsText:{
      fontSize:16,
      fontFamily:"Muli-Regular",
      flex:1,
      lineHeight:32
    },
    titleView:{
      marginTop:48,
    },
    subTitleView:{
      marginTop:16
    },
    subTitleText:{
      fontFamily:"Muli-SemiBold",
      fontSize:16,
    },
    pointsView:{
      marginTop:18
    }
     })
     export default VechicleSurveyInstruction